import { minifyAst } from './utils';
import { compile } from 'vue-template-compiler';
export function buildComponent(code) {
    return "\n    var runtime = require('vue-svg-component-runtime')\n    module.exports = {\n      __esModule: true,\n      default: runtime.svgComponent(" + JSON.stringify(compileAndMinify(code), null, 2) + ")\n    }\n  ";
}
export function buildEsmComponent(code) {
    return "\n    import { svgComponent } from 'vue-svg-component-runtime'\n    export default svgComponent(" + JSON.stringify(compileAndMinify(code), null, 2) + ")\n  ";
}
function compileAndMinify(code) {
    var compiledSvg = compile(code);
    if (compiledSvg.ast === undefined) {
        var errorMsg = 'Unknown Error';
        if (compiledSvg.errors.length > 0) {
            errorMsg = compiledSvg.errors.join(', ');
        }
        throw new Error("There were one or more problems building the AST for the requested SVG: " + errorMsg);
    }
    return minifyAst(compiledSvg.ast);
}
