"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
var vue_template_compiler_1 = require("vue-template-compiler");
function buildComponent(code) {
    return "\n    var runtime = require('vue-svg-component-runtime')\n    module.exports = {\n      __esModule: true,\n      default: runtime.svgComponent(" + JSON.stringify(compileAndMinify(code), null, 2) + ")\n    }\n  ";
}
exports.buildComponent = buildComponent;
function buildEsmComponent(code) {
    return "\n    import { svgComponent } from 'vue-svg-component-runtime'\n    export default svgComponent(" + JSON.stringify(compileAndMinify(code), null, 2) + ")\n  ";
}
exports.buildEsmComponent = buildEsmComponent;
function compileAndMinify(code) {
    var compiledSvg = vue_template_compiler_1.compile(code);
    if (compiledSvg.ast === undefined) {
        var errorMsg = 'Unknown Error';
        if (compiledSvg.errors.length > 0) {
            errorMsg = compiledSvg.errors.join(', ');
        }
        throw new Error("There were one or more problems building the AST for the requested SVG: " + errorMsg);
    }
    return utils_1.minifyAst(compiledSvg.ast);
}
