"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isVueTemplateASTElement = function (node) {
    return node.hasOwnProperty('children');
};
/*
 * We don't really use much of the final AST output in building our icons, so let's
 * avoid the need to ouput the whole thing to the final bundle.
 */
function minifyAst(node) {
    return recursiveMinify(node);
}
exports.minifyAst = minifyAst;
function recursiveMinify(node) {
    if (!isVueTemplateASTElement(node)) {
        if (node.text.trim() === '') {
            return undefined;
        }
        return {
            text: node.text
        };
    }
    var children = [];
    node.children.forEach(function (element) {
        var result = recursiveMinify(element);
        if (result) {
            children.push(result);
        }
    });
    var output = {
        tag: node.tag,
    };
    if (Object.keys(node.attrsMap).length > 0) {
        output.attrsMap = node.attrsMap;
    }
    if (children.length > 0) {
        output.children = children;
    }
    return output;
}
exports.recursiveMinify = recursiveMinify;
